Subject: Re: Unable to compile setup.exe source
From: Robert Collins <[email-masked]>
To: Matthew Clark <[email-masked]>
Cc: [email-masked]
Date: 11 Oct 2002 08:33:02 +1000

On Fri, 2002-10-11 at 07:02, Matthew Clark wrote:
> I'm trying to compile setup.exe from the setup-2.249.2.5.tar.bz2 tarball
> according the directions in=20
> 
> http://sources.redhat.com/cygwin-apps/setup.html
> 
> I get down to the final link step and I get errors complaining about,
> undefined references to things like ostream, oo_malloc, streambuf, etc. I'm
> no C++ expert, but I can't see what's missing from the final link step. Can
> anyone clue me in?

Yes, you're bulid with gcc 2.95, and then linking with gcc 3.2
libraries, and thats not supported. You ened to build and link with gcc
2,95 libs.

Rob

-- 
---
GPG key available at: http://users.bigpond.net.au/robertc/keys.txt.
---